Skip to main content

Endpoint

POST /v3/universal-ai (sync) Model string pattern: image/background_removal/{provider}[/{model}]

Input

FieldTypeRequiredDescription
filefile_inputYesImage file ID from /v3/upload or direct file URL

Output

FieldTypeRequiredDescription
image_b64stringYesThe image in base64 format.
image_resource_urlstringYesThe image url.

Available Providers

ProviderModel StringPrice
api4aiimage/background_removal/api4ai$50 per 1,000 files
clipdropimage/background_removal/clipdrop$0.5 per request
photoroomimage/background_removal/photoroom$20 per 1,000 files
picsartimage/background_removal/picsart$0.04 per image
sentisightimage/background_removal/sentisight$0.75 per 1,000 files
stabilityaiimage/background_removal/stabilityai$0.02 per request

Quick Start

import requests

url = "https://api.edenai.run/v3/universal-ai"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

payload = {
    "model": "image/background_removal/api4ai",
    "input": {
        "file": "YOUR_FILE_UUID_OR_URL"
    }
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())